

body {
    position: relative;
    font-family: 'Righteous';
    line-height: 1.6;
    margin: 0;
    padding: 0;

}

.scroll-hidden {
    opacity: 0;
    mask-image: linear-gradient(90deg, transparent, black); /* 从左到右的遮罩 */
    transition: mask-image 2s ease-out, opacity 2s ease-out;
}

.scroll-hidden1 {
    opacity: 0;
    transform: scale(0.9); 
    transition: all 2s ease-out;
}

.scroll-visible {
    opacity: 1;
    opacity: 1;
    mask-image: linear-gradient(90deg, black, black); 
    transform: scale(1); 
}



.green {
    color: #41C757;
}

.achievement_title {
    background-size: cover;
    background-color: rgba(183, 225, 241, 0.919);
    background-image: url(pictures/about_us_bg.png);
    position: relative;
    display: grid;
    align-items: center;
    height: 300px;
}

.achievement_title h2 {
    color: #1B48B2 ;
    display: inline-flex;
    justify-content: center;
    width: fit-content;
    position: relative;
    background-color: transparent;
    height: fit-content;
    z-index: 0;
    margin-left: 10%;
    margin-right: 10%;
    font-size: 50px;
    margin-bottom: unset;
}

.achievement_title h2::before {
    z-index: -1;
    content: '';
    position: absolute;
    top: 50%;
    left: 0;
    width: 100%;
    height: 25%;
    background-color: rgba(85, 255, 0, 0.35); 
    transform: translateY(-50%); 
}

.achievement_title p {
    color: #1B48B2 ;
    width: 80%;
    text-align: right;
    background-color: rgba(85, 255, 0, 0.35);
    font-size: 25px;
    margin-top: unset;
    margin-left: 10%;
    margin-right: 10%;
}

.achievement {
    margin-top: 20px;
    background-image: url(pictures/achievement_bg.png);
    height: 100vh;
    position: relative;
    display: flex;
    flex-wrap: wrap;
}

.achievement_content {
    width: 35%;
}
.achievement h2 {
    margin: 50px 50px;
    font-size: 50px;
}

.achievement p {
    margin: 0 50px;
    font-size: 20px;
}

/* Carousel Styles */
.carousel {
    width: 60%;                   /* Carousel width */
    min-width: 750px;
    height: fit-content;
    position: relative;
    overflow: hidden;
    border: none;
    border-radius: 10px;
    margin: auto 0;

}


.carousel-inner {
    display: flex;
    justify-content: center;  /* 水平居中 */
    align-items: center;      /* 垂直居中 */
    width: 150%;
    transition: transform 1s ease;
}

/* 默认情况下每个轮播项较小并且模糊 */
.carousel-item {
    position: relative;
    width: 70%;
    flex: 1;
    transform: scale(0.7);  /* 缩小未选中项 */
    filter: blur(5px);      /* 添加模糊效果 */
    transition: transform 0.5s, filter 0.5s; /* 过渡效果 */
    justify-content: center;  /* 水平居中 */
    align-items: center;      /* 垂直居中 */
}


.carousel-item img {
    display: block;
    margin: auto;
    width: 100%;
    border-radius: 10px;
}

.carousel-item p {
    display: block;
    margin: 10px auto;
    padding: 10px 10px;
    background: white;
    border-radius: 20px;
    width: fit-content;
    
}

input[type="radio"] {
    display: none;
}

input[type="radio"]:nth-of-type(1):checked ~ .carousel-inner {
    transform: translateX(9%);   /* 第一个项目，居中 */
}

input[type="radio"]:nth-of-type(2):checked ~ .carousel-inner {
    transform: translateX(-41%);  /* 第二个项目，居中 */
}

/* Add more transform values for additional images */

.carousel-controls {
    position: absolute;
    bottom: 90px;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
}

.control {
    width: 10px;
    height: 10px;
    background-color: #fff;
    border-radius: 50%;
    margin: 0 5px;
    cursor: pointer;
    transition: background-color 0.3s;
}

input[type="radio"]:nth-of-type(1):checked ~ .carousel-inner .carousel-item:nth-of-type(1),
input[type="radio"]:nth-of-type(2):checked ~ .carousel-inner .carousel-item:nth-of-type(2) {
    transform: scale(1);    /* 放大选中项 */
    filter: blur(0);        /* 去掉模糊 */
}

/* Add more styles for additional controls */

/* Buttons */
button.prev, button.next {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background-color: rgba(0, 0, 0, 0.5);
    color: white;
    border: none;
    padding: 10px;
    cursor: pointer;
    z-index: 1;
}

button.prev {
    left: 10px;
}

button.next {
    right: 10px;
}

.community_contributions {
    width: 100%;
    position: relative;
    display: flex;
    justify-content: center;
    margin: 50px 0;
}
.cc_bg {
    position: relative;
    background: transparent;
    width: 100%;
    height: fit-content;
    text-align: center;
    justify-content: center;
    overflow: hidden;
}

.cc_bg::before {
    content: '';
    position: absolute;
    background: rgba(193, 255, 190, 0.8);
    border: 8px solid #0E9F56;
    border-radius: 489px;
    margin: 0 auto;
    width: 80%;
    height: 100%;
    z-index: -3;
    left: 50%;
    transform: translateX(-50%);
}

.cc_bg h2 {
    position: relative;
    width: 50%;
    font-size: 50px;
    margin: auto;
}

.cc_img {
    overflow: hidden;
    width: 100%;
    position: relative;
    display: flex;
    flex-wrap: wrap;
    height: 500px;
    background: #b0c8ff6a;
}

.first_row, .second_row {
    display: flex;
    flex-wrap: nowrap;
    height: 40%;
    margin-top: 2.5%;
    white-space: nowrap;
}

.first_row img, .second_row img {
    height: 95%;
    width: auto;
    margin-right: 40px;
}



#cc_slider1, #cc_slider2 {
    will-change: transform;
}

.cc_img::-webkit-scrollbar {
    width: 5px;
    height: 5px;
}

.cc_img::-webkit-scrollbar-thumb {
    background-color: #232e29;
    border-radius: 10px;
    border: 3px solid rgba(3, 3, 3, 0.956);
}

.cc_img::-webkit-scrollbar-track {
    background-color: rgba(193, 255, 190, 0);
    border-radius: 10px;
}

::-webkit-scrollbar {
    width: 10px;
}

::-webkit-scrollbar-track {
    background: #f1f1f1;
}

::-webkit-scrollbar-thumb {
    background: #3A67B1;
    border-radius: 10px;
}

::-webkit-scrollbar-thumb:hover {
    background: #3A67B1;
}

@media (max-width :1260px) {
    .achievement {
        display: flex;
        justify-content: center;
    }
    .achievement_content {
        width: 90%;
    }
    .carousel {
        margin: auto;
    }
    .cc_bg h2 {
        font-size: 35px;
    }
}

@media (max-width :1150px) {
    .achievement_title h2::before {
        display: none;
    }
    .cc_bg h2 {
        margin-top: 20px;
    }
}

@media (max-width :840px) {
    .achievement_title h2 {
        font-size: 40px;
    }
    .cc_bg::before {
        border-radius: 0px;
        width: 100%;
    }
}


@media (max-width :800px) {
    .carousel {
        margin: auto;
        transform: scale(0.7);
    }
    .cc_img {
        height: 400px;
    }
}


@media (max-width :600px) {
    .achievement h2 {
        font-size: 35px;
    }
    
    .achievement p {
        font-size: 15px;
    }
    .carousel {

        transform: scale(0.5);
    }
    button.prev, button.next {     
        padding: 20px;
        font-size: 25px;
    }
    .cc_img {
        height: 300px;
    }
}

@media (max-width :400px) {
    
    .carousel {
        transform: scale(0.45);
    }
    .cc_img {
        height: 250px;
    }
}
